summaryrefslogtreecommitdiff
path: root/mail-filter/amavisd-new/files/amavisd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'mail-filter/amavisd-new/files/amavisd.initd')
-rw-r--r--mail-filter/amavisd-new/files/amavisd.initd45
1 files changed, 45 insertions, 0 deletions
diff --git a/mail-filter/amavisd-new/files/amavisd.initd b/mail-filter/amavisd-new/files/amavisd.initd
new file mode 100644
index 000000000000..4899296cc140
--- /dev/null
+++ b/mail-filter/amavisd-new/files/amavisd.initd
@@ -0,0 +1,45 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+extra_commands="debug debug_sa"
+
+prog="/usr/sbin/amavisd"
+progname="amavisd-new"
+
+depend() {
+ need net
+ use logger antivirus snmpd
+ before mta
+}
+
+start() {
+ ebegin "Starting ${progname}"
+ "${prog}" start
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${progname}"
+ "${prog}" stop 1>/dev/null
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ${progname}"
+ "${prog}" reload 1>/dev/null
+ eend $?
+}
+
+debug() {
+ ebegin "Starting ${progname} in debug mode"
+ "${prog}" debug
+ eend $?
+}
+
+debug_sa() {
+ ebegin "Starting ${progname} in debug-sa mode"
+ "${prog}" debug-sa
+ eend $?
+}